// pages/distribution/commission.js
Page({
  data: {
    currentTab: 'all',
    overview: {
      totalAmount: '0.00',
      todayAmount: '0.00',
      monthAmount: '0.00',
      pendingAmount: '0.00'
    },
    commissionList: [],
    loading: false,
    page: 1,
    hasMore: true
  },

  onLoad: function (options) {
    this.loadOverview()
    this.loadCommissionList()
  },

  // 加载概览数据
  loadOverview: function () {
    // 模拟API请求
    setTimeout(() => {
      this.setData({
        overview: {
          totalAmount: '1234.56',
          todayAmount: '123.45',
          monthAmount: '789.12',
          pendingAmount: '456.78'
        }
      })
    }, 500)
  },

  // 切换标签
  switchTab: function (e) {
    const tab = e.currentTarget.dataset.tab
    if (tab === this.data.currentTab) return
    
    this.setData({
      currentTab: tab,
      commissionList: [],
      page: 1,
      hasMore: true
    })
    this.loadCommissionList()
  },

  // 加载佣金明细
  loadCommissionList: function () {
    if (!this.data.hasMore || this.data.loading) return
    
    this.setData({ loading: true })
    
    // 模拟API请求
    setTimeout(() => {
      const newList = this.getMockCommissionList()
      
      this.setData({
        commissionList: [...this.data.commissionList, ...newList],
        loading: false,
        page: this.data.page + 1,
        hasMore: newList.length === 10 // 假设每页10条数据
      })
    }, 500)
  },

  // 下拉刷新
  onPullDownRefresh: function () {
    this.setData({
      commissionList: [],
      page: 1,
      hasMore: true
    })
    this.loadOverview()
    this.loadCommissionList()
    wx.stopPullDownRefresh()
  },

  // 触底加载更多
  loadMore: function () {
    this.loadCommissionList()
  },

  // 模拟佣金明细数据
  getMockCommissionList: function () {
    const titles = [
      '商品推广佣金',
      '下级会员订单佣金',
      '团队业绩奖励'
    ]

    return Array(10).fill(0).map((_, index) => ({
      id: this.data.page * 10 + index,
      title: titles[Math.floor(Math.random() * titles.length)],
      createTime: '2025-01-10 11:30:00',
      amount: (Math.random() * 100).toFixed(2),
      orderNo: 'DD' + Date.now().toString().slice(-6) + Math.random().toString().slice(-4),
      status: Math.random() > 0.5 ? 'settled' : 'pending'
    }))
  }
})