# 接口文档

## 域名
- https://shop.wenxingshuju.com

## 1.后台管理系统用户登录
### 请求方法: POST
### 请求路径: /api/user/login
- 请求参数:
    - username: 用户名
    - password: 密码
- 响应参数:
    - rst: 返回结果
        - admin_id: 用户ID
        - username: 用户名
        - random: 令牌
        - ttl: 有效期
    - errno: 错误码
    - err: 错误信息
- 返回结果:
    - code: 200
    - data: 用户信息
    - msg: 登录成功
- 示例:
```
{
	"rst": {
		"admin_id": 1,
		"username": "admin",
		"random": "GB3h73UysHkkHmJ4KvnV",
		"ttl": 1737704006
	},
	"errno": "0",
	"err": "成功",
	"timestamp": "1737704006",
	"v": "1.0.1",
	"auno": "0"
}
```

## 2.选品列表
### 请求方法: GET
### 请求路径: /api/goods/list
- 请求参数:
    - keyword: 关键词
    - page: 页码(从1开始)   
    - page_size: 每页条数
    - sort: 排序 0综合 1库存从高到低 2库存从低到高 3价格从低到高 4价格从高到低 5佣金从高到低 6佣金从低到高 7佣金比例从高到低 8佣金比例从低到高
    - commission_amount_start: 佣金金额起始
    - commission_amount_end: 佣金金额结束
    - stock_num_start: 库存起始
    - stock_num_end: 库存结束
    - sale_price_start: 销售价起始
    - sale_price_end: 销售价结束
    - service_ratio_start: 服务费率起始
    - service_ratio_end: 服务费率结束
- 响应参数:
    - rst: 返回结果
        - pageInfo: 分页信息
            - total: 总数
            - pages: 总页数
            - size: 每页条数
            - page: 当前页码
        - data: 选品列表
            - goods_id: 商品ID
            - title: 商品标题
            - sub_title: 商品子标题(鼠标悬浮显示)
            - sale_price: 商品销售价
            - stock_num: 商品库存
            - total_commission_amount: 总佣金
            - head_img_list: 主图列表(列表中展示第一个，点击更多可展示全部)
            - service_ratio: 服务费率(单位: 百分比)
- 返回结果:
    - code: 200
    - data: 选品列表
    - msg: 
- 示例:
```
{
	"rst": {
		"data": [
			{
				"goods_id": 223606,
				"title": "咏夏搞怪个性卡通情侣超人围裙韩版时尚厨房家用防水火锅店定制",
				"sub_title": "",
				"sale_price": "25.95",
				"stock_num": 99999,
				"total_commission_amount": "10.38",
				"service_ratio": "40.00",
				"head_img_list": [
					"https://store.mp.video.tencent-cloud.com/161/20304/snscosdownload/SH/reserved/6734881200077f0803cc130f1306bd1e000000a100004f50",
					"https://store.mp.video.tencent-cloud.com/161/20304/snscosdownload/SH/reserved/67348812000c9ec91a5869ef4a8cbc1e000000a100004f50",
					"https://store.mp.video.tencent-cloud.com/161/20304/snscosdownload/SH/reserved/67348813000490dd252b758d257d0d15000000a100004f50",
					"https://store.mp.video.tencent-cloud.com/161/20304/snscosdownload/SH/reserved/67348813000a3480073e947430340315000000a100004f50",
					"https://store.mp.video.tencent-cloud.com/161/20304/snscosdownload/SH/reserved/67348814000113ea143fbe61cf84bc1e000000a100004f50",
					"https://store.mp.video.tencent-cloud.com/161/20304/snscosdownload/SH/reserved/67348814000750ef03abb7280885bc1e000000a100004f50",
					"https://store.mp.video.tencent-cloud.com/161/20304/snscosdownload/SH/reserved/67348814000e186804245d1c53dca00b000000a100004f50",
					"https://store.mp.video.tencent-cloud.com/161/20304/snscosdownload/SH/reserved/673488150005570715471ad282501715000000a100004f50"
				]
			},
			{
				"goods_id": 223607,
				"title": "豆芽育苗盘东北大酱发酵盘酱油曲粉高纯度发酵曲粉筛盘菌种酿造盘",
				"sub_title": "豆芽育苗盘大酱曲粉发酵盘",
				"sale_price": "32.50",
				"stock_num": 1993,
				"total_commission_amount": "13.00",
				"service_ratio": "40.00",
				"head_img_list": [
					"https://store.mp.video.tencent-cloud.com/161/20304/snscosdownload/SH/reserved/665296040000d84c12d17a234535b00b000000a000004f50",
					"https://store.mp.video.tencent-cloud.com/161/20304/snscosdownload/SH/reserved/665284b5000339f022f46528fd330315000000a000004f50",
					"https://store.mp.video.tencent-cloud.com/161/20304/snscosdownload/SH/reserved/66528412000ada1329515d121a350315000000a000004f50",
					"https://store.mp.video.tencent-cloud.com/161/20304/snscosdownload/SH/reserved/665283b300066faa10831b474b65b01e000000a000004f50",
					"https://store.mp.video.tencent-cloud.com/161/20304/snscosdownload/SH/reserved/665283d9000ecc5e2f1ff3803f7c0d15000000a000004f50",
					"https://store.mp.video.tencent-cloud.com/161/20304/snscosdownload/SH/reserved/66528407000932cd008fee14f765b01e000000a000004f50"
				]
			}
		],
		"pageInfo": {
			"total": 37431,
			"pages": 18716,
			"size": "2",
			"page": "1"
		}
	},
	"errno": "0",
	"err": "成功",
	"timestamp": "1737711309",
	"v": "1.0.1",
	"auno": "0"
}
```

## 3.选品详情
### 请求方法: GET
### 请求路径: /api/goods/detail
- 请求参数:
    - goods_id: 商品ID
- 响应参数:
    - rst: 返回结果
        - goods_id: 商品ID
        - title: 商品标题
        - sub_title: 商品子标题
        - sale_price: 商品销售价
        - stock_num: 商品库存
        - commission_amount: 总佣金
        - head_img_list: 主图列表
        - service_ratio: 服务费率(单位: 百分比)
        - desc_img_list: 描述图列表
        - description: 商品描述
- 返回结果:
    - code: 200
    - data: 选品详情
    - msg: 
- 示例:
```
{
	"rst": {
		"goods_id": 203173,
		"product_id": "10000103806622",
		"shop_appid": "wx0556edc63293cdd3",
		"title": "【花边剪刀】手工diy剪刀安全不伤手花纹锁边纸幼儿园剪纸创作",
		"sub_title": "",
		"head_img_list": [
			"https://store.mp.video.tencent-cloud.com/161/20304/snscosdownload/SH/reserved/65f69d0d000e02730b8bad8e9c81bc1e000000a100004f50",
			"https://store.mp.video.tencent-cloud.com/161/20304/snscosdownload/SH/reserved/65f69d0e0004dc8718d04734df06bd1e000000a100004f50",
			"https://store.mp.video.tencent-cloud.com/161/20304/snscosdownload/SH/reserved/65f69d0e000b2b88224ec89e1906bd1e000000a100004f50",
			"https://store.mp.video.tencent-cloud.com/161/20304/snscosdownload/SH/reserved/65f69d0f00009019224d865fb061b01e000000a100004f50"
		],
		"desc_img_list": null,
		"description": "",
		"sale_price": 9.6,
		"stock_num": 55061,
		"commission_amount": "2.88"
	},
	"errno": "0",
	"err": "成功",
	"timestamp": "1737702624",
	"v": "1.0.1",
	"auno": "0"
}
```

## 4.选品转链
### 请求方法: POST
### 请求路径: /api/goods/shareLink
- 请求参数:
    - goods_id: 商品ID
    - sharer_appid: 分享者appid
- 响应参数:
    - rst: 返回结果
        - share_link: 分享链接
- 返回结果:
    - code: 200
    - data: 选品转链
    - msg: 
- 示例:
```
{
	"rst": {
		"share_link": "#微信小店://别物优选/HTZXEtx8ijGRUIj"
	},
	"errno": "0",
	"err": "成功",
	"timestamp": "1737712867",
	"v": "1.0.1",
	"auno": "0"
}
```

## 5.生成推广二维码
### 请求方法: POST
### 请求路径: /api/goods/shareQrCode
- 请求参数:
    - goods_id: 商品ID
    - sharer_appid: 分享者appid
- 响应参数:
    - rst: 返回结果
        - share_link: 分享二维码链接
- 返回结果:
    - code: 200
    - data: 选品二维码链接
    - msg: 
- 示例:
```
{
	"rst": {
		"qrcode_url": "https://store.mp.video.tencent-cloud.com/161/20304/snscosdownload/SH/reserved/67933e0e0001a4492ab7aaa32a381f15000000a100004f50"
	},
	"errno": "0",
	"err": "成功",
	"timestamp": "1737713224",
	"v": "1.0.1",
	"auno": "0"
}
```

## 6.订单列表
### 请求方法: GET
### 请求路径: /api/orders/list
- 请求参数:
	- page: 当前页
	- page_size: 每页显示条数
- 响应参数:
	- rst: 返回结果
		- data: 订单列表
			- id: 订单ID(系统ID)
			- order_id: 订单号
			- product_id: 商品ID
			- sku_id: SKU ID
			- order_create_time: 订单创建时间
			- order_update_time: 订单更新时间
			- commission_status: 佣金状态  20未结算 100已结算 200取消结算
			- product_title: 商品标题
			- thumb_img: 商品主图
			- order_status: 订单状态 10代付款 20待发货 21 部分发货 30待收货 100完成 200全部商品售后之后订单取消 250未付款用户主动取消或超时未付款订单自动取消
			- service_ratio: 服务费率(单位: 百分比)
			- service_amount: 服务费
			- profit_sharding_suc_time: 佣金结算时间
			- actual_payment: 实际支付金额
			- shop_appid: 店铺appid
			- sharer_appid: 分享者appid
			- sharer_openid: 分享者openid
			- sharer_nickname: 分享者昵称
			- sharer_ratio: 分享者佣金比例
			- sharer_amount: 分享者佣金
			- buyer_openid: 购买者openid
			- buyer_unionid: 购买者unionid
			- buyer_nickname: 购买者昵称
		- pageInfo: 分页信息
- 返回结果:
	- code: 200
	- data: 订单列表
- 示例:
```
{
	"rst": {
		"data": [
			{
				"id": 1,
				"shop_appid": "wx1111c0ca93955ede",
				"order_id": "3725587434550991360",
				"sku_id": "2606361637",
				"order_create_time": "2025-01-23 10:13:20",
				"order_update_time": "2025-01-23 10:37:53",
				"commission_status": 200,
				"product_id": "10000154542037",
				"thumb_img": "https://wst.wxapp.tc.qq.com/161/20304/snscosdownload/SH/reserved/66f788e1000b79a70964f572af65b01e000000a000004f50",
				"actual_payment": "0.00",
				"product_title": "整合赢天下整合正版赢天下整合赢天下原著整合赢天下",
				"order_status": 200,
				"service_ratio": "50.00",
				"service_amount": "0.00",
				"profit_sharding_suc_time": null,
				"enable": 1,
				"create_time": "2025-01-23 14:58:34",
				"update_time": "2025-01-23 15:16:57",
				"promotion_channel": 1,
				"buyer_openid": "oq4L36ydutylkUxSsliCUZHwldIA",
				"buyer_unionid": "",
				"sharer_appid": "wxc894743486082bc8",
				"sharer_openid": null,
				"sharer_nickname": "gogomomo12123",
				"sharer_ratio": "0.00",
				"sharer_amount": "0.00",
				"opensharerid": "ofXa1KdGC0W18dbarzRZHBAPH9N7VpKdAovJqKfoJZBmMoxmMYk5bLaRfbMXSyLmv7sqr5oeZlcw"
			}
		],
		"pageInfo": {
			"total": 1,
			"pages": 1,
			"size": "10",
			"page": "1"
		}
	},
	"errno": "0",
	"err": "成功",
	"timestamp": "1737873293",
	"v": "1.0.1",
	"auno": "0"
}
```

## 7.获取推客推广商品内嵌小店卡片推广参数
### 请求方法: POST
### 请求路径: /api/goods/productPromotionLink
- 请求参数:
	- goods_id: 商品ID
	- user_id: 用户ID
- 响应参数:
	- rst: 返回结果
		- product_promotion_link: 商品内嵌小店卡片推广参数
- 返回结果:
	- code: 200
	- data: 商品内嵌小店卡片推广参数
	- msg: 
- 示例:
```
{
	"rst": {
		"product_promotion_link": "v1=HACQNX0NSiFPSukd8cLcHL1vS_U2aaOkN7QF16jx4GW4HcgAaVYEgQP0gV4mkFCyNadLaoo2FyibU-zrmisfs7TTd50M75auFcRKmuDlKf12FRBulqXEoFEXjEtEcMC7j-OFnlL_pUyYlGISlg"
	},
	"errno": "0",
	"err": "成功",
	"timestamp": "1738739007",
	"v": "1.0.1",
	"auno": "0"
}
```

## 8.获取小程序推广订单列表
### 请求方法: GET
### 请求路径: /api/orders/promoteOrderList
- 请求参数:
	- page: 当前页
	- page_size: 每页大小
	- status: 0 全部 1待结算 2已结算 3已失效
	- user_id: 用户ID
- 响应参数:
	- rst: 返回结果
		- data: 订单列表
			- order_id: 订单ID
			- product_id: 商品ID
			- sku_id: 商品SKUID
			- shop_appid: 店铺appid
			- name: 商品标题
			- img: 商品图
			- money: 实际支付金额
			- rebate: 预估佣金金额
			- status: 佣金单状态
				- 1: 待结算
				- 2: 已结算
				- 3: 已失效
			- order_create_at: 订单创建时间
			- order_balance_at: 佣金结算时间
		- page_info: 分页信息
			- total: 总记录数
			- pages: 总页数
			- size: 每页记录数
			- page: 当前页
- 返回结果:
	- code: 200
	- data: 订单列表
	- msg: 
- 示例:
```
{
	"rst": {
		"data": [
			{
				"id": 1,
				"order_id": "3725587434550991360",
				"product_id": "10000154542037",
				"sku_id": "2606361637",
				"shop_appid": "wx1111c0ca93955ede",
				"user_id": 1,
				"type": 1,
				"money": "0.00",
				"rebate": "0.00",
				"status": 0,
				"state_of_embodiment": null,
				"name": "整合赢天下整合正版赢天下整合赢天下原著整合赢天下",
				"img": "https://wst.wxapp.tc.qq.com/161/20304/snscosdownload/SH/reserved/66f788e1000b79a70964f572af65b01e000000a000004f50",
				"order_create_at": "01-23 10:13",
				"order_balance_at": null,
				"create_at": "2025-02-06 10:31:37",
				"update_at": "02-06 10:31",
				"user_level": 1,
				"enable": 1
			}
		],
		"pageInfo": {
			"total": 1,
			"pages": 1,
			"size": "10",
			"page": "1"
		}
	},
	"errno": "0",
	"err": "成功",
	"timestamp": "1738809896",
	"v": "1.0.1",
	"auno": "0"
}
```

## 9.## 我的收益（概览）
### 请求方法: GET
### 请求路径：/api/user/myEarnings
- 请求参数
  - user_id: 用户ID
- 响应参数
  - rst: 返回结果
    - account_balance: 账户余额
    - this_day_forecast_income: 今日预估收入
    - last_day_forecast_income：昨日预估收入
    - this_month_forecast_income：本月预估收入
    - last_month_forecast_income：上个月预估收入
    - total_forecast_income：总预估收入
    - this_month_settlement_income: 本月结算收入
    - all_settlement_income：累计结算收入
    - wait_settlement_income：待结算收入
    - withdraw_amount: 已提现金额
- 示例
```
{
  "rst": {
    "account_balance": "0.10",
    "this_day_forecast_income": "0.10",
    "last_day_forecast_income": "0.10",
    "this_month_forecast_income": "0.20",
    "last_month_forecast_income": "0.10",
    "total_forecast_income": "0.30",
    "this_month_settlement_income": "0.00",
    "all_settlement_income": "0.10",
    "wait_settlement_income": "0.20",
    "withdraw_amount": "0.00"
  },
  "errno": "0",
  "err": "成功",
  "timestamp": "1739955285",
  "v": "1.0.1",
  "auno": "0"
}
```

## 10.账户明细
### 请求方法: GET
### 请求路径: /api/user/myEarningsDetail
- 请求参数
	- user_id: 用户ID
	- page: 当前页
	- page_size: 每页大小
- 响应参数
	- data: 收益明细
		- id: ID
		- user_id: 用户ID
		- type: 收益类型
			- 1: 佣金收入
			- 2: 提现
		- rebate: 预估佣金
		- state_of_embodiment: 佣金状态
			- 0: 申请中
			- 1: 已打款
			- 2: 已作废
		- note: 佣金备注
		- create_at: 申请时间
	- pageInfo: 分页信息
		- total: 总数
		- pages: 总页数
		- size: 每页条数
		- page: 当前页码
- 返回结果
	- code: 200
	- data: 收益
	- msg: 
- 示例
```
{
	"rst": {
		"data": [
			{
				"id": 1,
				"user_id": 1,
				"type": 1,
				"rebate": "0.01",
				"state_of_embodiment": 1,
				"note": "测试数据",
				"create_at": "2025-02-06 11:29:34",
				"update_at": "2025-02-06 11:47:32",
				"enable": 1
			}
		],
		"pageInfo": {
			"total": 1,
			"pages": 1,
			"size": 20,
			"page": 1
		}
	},
	"errno": "0",
	"err": "成功",
	"timestamp": "1738813687",
	"v": "1.0.1",
	"auno": "0"
}
```

## 11.团队概览
### 请求方法: GET
### 请求路径: /api/team/condition
- 请求参数:
    - user_id: 用户ID
- 响应参数:
    - rst: 返回结果
        - data
			- total_members 总团队人数
			- total_orders 总订单数
			- total_rebate 总佣金
- 返回结果:
    - code: 200
    - data: 团队概览
    - msg: 
- 示例:
```
{
	"rst": {
		"data": {
			"total_members": 10,    // 总团队人数
			"total_orders": 100,    // 总订单数
			"total_rebate": 1000.00 // 总佣金
		}
	},
	"errno": "0",
	"err": "成功",
	"timestamp": "1737712867",
	"v": "1.0.1",
	"auno": "0"
}
```

## 12.获取推广二维码
### 请求方法: GET
### 请求路径: /api/user/qrCode
- 请求参数:
    - user_id: 用户ID
- 响应参数:
    - rst: 返回结果
- 返回结果:
    - code: 200
    - msg: 
- 示例:
```
{
	"rst": {
		"推广二维码地址"
	},
	"errno": "0",
	"err": "成功",
	"timestamp": "1737712867",
	"v": "1.0.1",
	"auno": "0"
}
```

## 13.申请提现
### 请求方法: GET
### 请求路径: /api/user/withdrawal
- 请求参数:
    - user_id: 用户ID
	- money: 提现金额 单位元
- 响应参数:
    - rst: 返回结果
- 返回结果:
    - code: 200
    - msg: 
- 示例:
```
{
	"rst": {
		"package": "跳转页面的package信息"
	},
	"errno": "0",
	"err": "成功",
	"timestamp": "1737712867",
	"v": "1.0.1",
	"auno": "0"
}
```